## gpe-tetris 0.6.4

=== Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-tetris
OBJS = misc.o highscore.o tetris.o interface.o
BIN_PATH = $(DESTDIR)$(PREFIX)/bin
HIGHSCORE_PATH = $(PREFIX)/share/gpe-tetris
GROUP = games
HIGHSCORE_FILE = $(HIGHSCORE_PATH)/highscore.dat
DEBUG = no
CVSBUILD = no
VERSION = 0.6-4


GTKCFLAGS = `pkg-config --cflags gtk+-2.0`
GTKLDFLAGS += `pkg-config --libs gtk+-2.0`

PACKAGE_CFLAGS = $(GTKCFLAGS) -DHIGHSCORE_FILE=\"$(HIGHSCORE_FILE)\" -DDOWN_DROPS -D_GNU_SOURCE -Wall -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
PACKAGE_LDFLAGS = $(GTKLDFLAGS)

ifeq ($(DEBUG),yes)
CFLAGS += -O2 -g
LDFLAGS += -g
else
CFLAGS += -Os -fomit-frame-pointer
endif

ifeq ($(CVSBUILD),yes)
PACKAGE_CFLAGS += -I../../base/libgpewidget
PACKAGE_LDFLAGS += -L../../base/libgpewidget
BUILD = ../../base/build
else
PACKAGE_CFLAGS += $(GPECFLAGS)
BUILD = build
endif
PACKAGE_LDFLAGS += $(GPELIBS)

all: $(OBJS)
	$(CC) $(DEFINES) $(CFLAGS) $(OBJS) $(LDFLAGS) $(PACKAGE_LDFLAGS) -o $(PACKAGE)

clean: 
	rm -f *.o $(PACKAGE)

install-program: all
	install -d $(BIN_PATH)
	install -d $(DESTDIR)$(HIGHSCORE_PATH)
	install -d $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/tetris
	install -m 644 pixmaps/stop.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/tetris/stop.png
	install -m 644 pixmaps/pause.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/tetris/pause.png
	install -m 644 pixmaps/highscores.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/tetris/highscores.png
	install -s $(PACKAGE) $(BIN_PATH)/$(PACKAGE)
	install -d $(DESTDIR)$(PREFIX)/share/applications
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 gpe-tetris.desktop $(DESTDIR)$(PREFIX)/share/applications/
	install -m 644 gpe-tetris.png $(DESTDIR)$(PREFIX)/share/pixmaps/

uninstall:
	rm -i $(BIN_PATH)/$(PACKAGE)
	rm -i $(HIGHSCORE_FILE)
	rmdir $(HIGHSCORE_PATH)

include $(BUILD)/Makefile.dpkg_ipkg
include $(BUILD)/Makefile.translation

=== debian/changelog ===
gpe-tetris (0.6.4-3) unstable; urgency=low

  * Set /var/games/gpe to 0755, instead of 0777 (Closes: #684178)
  * Fix typo in postrm which used /var/games/ instead of
    /var/games/gpe/ (Closes: #668768)
  * Add hardening support.
  * Move to 3.0 quilt for existing patch support.

 -- Neil Williams <codehelp@debian.org>  Sun, 26 May 2013 22:25:17 +0100

gpe-tetris (0.6.4-2) unstable; urgency=low

  * Add Debian GPE team to uploaders

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Apr 2008 14:33:03 +0100

gpe-tetris (0.6.4-1) unstable; urgency=low

  * Initial release. (Closes: #462306: ITP: gpe-tetris -- tetris game
    for small screens and embedded devices)

 -- Neil Williams <codehelp@debian.org>  Sun, 27 Jan 2008 21:12:02 +0000

=== debian/control ===
Source: gpe-tetris
Section: x11
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>, Moray Allan <moray@debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>
Build-Depends: cdbs, debhelper (>= 5), dpkg-dev (>= 1.16.1~),
 libgtk2.0-dev, libgpewidget-dev
Standards-Version: 3.9.4
Homepage: http://gpe.linuxtogo.org/projects/

Package: gpe-tetris
Architecture: any
Section: games
Depends: ${shlibs:Depends}, ${misc:Depends}, gpe-icons
Description: tetris game for small screens and embedded devices
 Falling-block game for the G Palmtop Environment.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

common-install-arch::
	$(MAKE) install-program DESTDIR=debian/gpe-tetris/ CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	install -m 0644 debian/gpe-tetris.xpm debian/gpe-tetris/usr/share/pixmaps/
	install -d debian/gpe-tetris/var/games/gpe/

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
http://gpe.linuxtogo.org/download/source/gpe-tetris-(.*)\.tar\.gz
